OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GLU.Quadrics

Description

This module corresponds to chapter 6 (Quadrics) of the GLU specs.

# Documentation

type QuadricNormal = Maybe ShadingModel Source

data QuadricTexture Source

Constructors

NoTextureCoordinates |
GenerateTextureCoordinates |

Instances

Eq QuadricTexture |
Ord QuadricTexture |

data QuadricOrientation Source

Constructors

Outside |
Inside |

Instances

Eq QuadricOrientation |
Ord QuadricOrientation |
Show QuadricOrientation |

data QuadricDrawStyle Source

Constructors

PointStyle |
LineStyle |
FillStyle |
SilhouetteStyle |

Instances

Eq QuadricDrawStyle |
Ord QuadricDrawStyle |
Show QuadricDrawStyle |

data QuadricStyle Source

Constructors

QuadricStyle QuadricNormal QuadricTexture QuadricOrientation QuadricDrawStyle |

Instances

Eq QuadricStyle |
Ord QuadricStyle |

type Radius = GLdouble Source

type Height = GLdouble Source

type Angle = GLdouble Source

type Slices = GLint Source

type Stacks = GLint Source

type Loops = GLint Source

data QuadricPrimitive Source

Constructors

Sphere Radius Slices Stacks |
Cylinder Radius Radius Height Slices Stacks |
Disk Radius Radius Slices Loops |
PartialDisk Radius Radius Slices Loops Angle Angle |

Instances

Eq QuadricPrimitive |
Ord QuadricPrimitive |

renderQuadric :: QuadricStyle -> QuadricPrimitive -> IO ()Source